package meta

import (
	"encoding/json"
	"strconv"
)

const (
	SENSOR_STATUS_RUNNING = 1
	SENSOR_STATUS_STOPPED = 2
)

var metaSensorStatusMap = map[int]string{
	1: "RUNNING",
	2: "STOPPED",
}

type MetaSensorStatus struct {
	Id   json.Number `json:"id,Number,omitempty"`
	Name string      `json:"name,omitempty"`
}

func NewMetaSensorStatus(types int) *MetaSensorStatus {

	str := metaSensorStatusMap[types]

	if len(str) <= 0 {
		return nil
	}
	return &MetaSensorStatus{
		Id:   json.Number(strconv.Itoa(types)),
		Name: str,
	}
}
